DOM::CSSStyleRule class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::CSSStyleRule Class Reference

The `CSSStyleRule` interface represents a single rule set in a CSS style sheet. More...

`#include <css_rule.h>`

Inheritance diagram for DOM::CSSStyleRule:

[legend]
Collaboration diagram for DOM::CSSStyleRule:

[legend]
List of all members.

## Public Member Functions
| CSSStyleRule (const CSSStyleRule &other)
| CSSStyleRule (const CSSRule &other)
| CSSStyleRule (CSSStyleRuleImpl *impl)
CSSStyleRule & | operator= (const CSSStyleRule &other)
CSSStyleRule & | operator= (const CSSRule &other)
DOM::DOMString | selectorText () const
| The textual representation of the selector for the rule set.
void | setSelectorText (const DOM::DOMString &)
| see selectorText
CSSStyleDeclaration | style () const
| The declaration-block of this rule set.

## Detailed Description

The `CSSStyleRule` interface represents a single rule set in a CSS style sheet.

Definition at line 411 of file css_rule.h.

## Member Function Documentation

DOMString CSSStyleRule::selectorText | ( |  | ) | const

| The textual representation of the selector for the rule set. The implementation may have stripped out insignificant whitespace while parsing the selector. Definition at line 415 of file css_rule.cpp.

void CSSStyleRule::setSelectorText | ( | const DOM::DOMString & |  | ) |

  | see selectorText Exceptions:
  CSSException | SYNTAX_ERR: Raised if the specified CSS string value has a syntax error and is unparsable.
  DOMException | NO_MODIFICATION_ALLOWED_ERR: Raised if this style sheet is readonly.
Definition at line 421 of file css_rule.cpp.

CSSStyleDeclaration CSSStyleRule::style | ( |  | ) | const

| The declaration-block of this rule set. Definition at line 426 of file css_rule.cpp.

The documentation for this class was generated from the following files:

- css_rule.h
- css_rule.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:35:40 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001